﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}

@section Scripts{
    <!-- Apex Charts js -->
    <script src="/assets/js/vendor/apexcharts.min.js"></script>
<script src="/assets/js/pages/demo.dashboard.js"></script>
}

    @section Styles{
    
}
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <form class="d-flex">
                            <div class="input-group">
                                <input type="text" class="form-control form-control-light" id="dash-daterange">
                                <span class="input-group-text bg-primary border-primary text-white">
                                    <i class="mdi mdi-calendar-range font-13"></i>
                                </span>
                            </div>
                            <a href="javascript: void(0);" class="btn btn-primary ms-2">
                                <i class="mdi mdi-autorenew"></i>
                            </a>
                        </form>
                    </div>
                    <h4 class="page-title">Dashboard</h4>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-xl-5 col-lg-6">

                <div class="row">
                    <div class="col-sm-6">
                        <div class="card widget-flat">
                            <div class="card-body">
                                <div class="float-end">
                                    <i class="mdi mdi-account-multiple widget-icon"></i>
                                </div>
                                <h5 class="text-muted fw-normal mt-0" title="Number of Customers">Khách hàng</h5>
                                <h3 class="mt-3 mb-3">36,254</h3>
                                
                            </div> <!-- end card-body-->
                        </div> <!-- end card-->
                    </div> <!-- end col-->

                    <div class="col-sm-6">
                        <div class="card widget-flat">
                            <div class="card-body">
                                <div class="float-end">
                                    <i class="mdi mdi-cart-plus widget-icon"></i>
                                </div>
                                <h5 class="text-muted fw-normal mt-0" title="Number of Orders">Đơn hàng master</h5>
                                <h3 class="mt-3 mb-3">5,543</h3>
                                
                            </div> <!-- end card-body-->
                        </div> <!-- end card-->
                    </div> <!-- end col-->
                </div> <!-- end row -->

                <div class="row">
                    <div class="col-sm-6">
                        <div class="card widget-flat">
                            <div class="card-body">
                                <div class="float-end">
                                    <i class="mdi mdi-pulse widget-icon"></i>
                                </div>
                                <h5 class="text-muted fw-normal mt-0" title="Growth">Kế hoạch</h5>
                                <h3 class="mt-3 mb-3">30</h3>
                                <p class="mb-0 text-muted">
                                    <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 4.87%</span>
                                    <span class="text-nowrap">Since last month</span>
                                </p>
                            </div> <!-- end card-body-->
                        </div> <!-- end card-->
                    </div> <!-- end col-->

                    <div class="col-sm-6">
                        <div class="card widget-flat">
                            <div class="card-body">
                                <div class="float-end">
                                    <i class="mdi mdi-currency-usd widget-icon"></i>
                                </div>
                                <h5 class="text-muted fw-normal mt-0" title="Average Revenue">Invoice</h5>
                                <h3 class="mt-3 mb-3">6254</h3>
                                <p class="mb-0 text-muted">
                                    <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 4.87$</span>
                                </p>
                            </div> <!-- end card-body-->
                        </div> <!-- end card-->
                    </div> <!-- end col-->
                </div> <!-- end row -->

            </div> <!-- end col -->

            <div class="col-xl-7 col-lg-6">
                <div class="card card-h-100">
                    <div class="d-flex card-header justify-content-between align-items-center">
                        <h4 class="header-title">Danh sách đơn hàng master</h4>
                        <div class="dropdown">
                            <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="mdi mdi-dots-vertical"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Sales Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Export Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Profit</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Action</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body pt-0">
                        <div dir="ltr">
                            <div id="high-performing-product" class="apex-charts" data-colors="#727cf5,#e3eaef"></div>
                        </div>

                    </div> <!-- end card-body-->
                </div> <!-- end card-->

            </div> <!-- end col -->
        </div>
        <!-- end row -->


        <div class="row">
            <div class="col-xl-9 col-lg-12 order-lg-2 order-xl-1">
                <div class="card">
                    <div class="d-flex card-header justify-content-between align-items-center">
                        <h4 class="header-title">Top Invoice</h4>
                        <a href="javascript:void(0);" class="btn btn-sm btn-light">Export <i class="mdi mdi-download ms-1"></i></a>
                    </div>

                    <div class="card-body pt-0">
                        <div class="table-responsive">
                            <table class="table table-centered table-nowrap table-hover mb-0">
                                <tbody>
                                    <tr>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">#PO09234089 - Invoice 09</h5>
                                            <span class="text-muted font-13">12/5/2023</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$79.49</h5>
                                            <span class="text-muted font-13">Price</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">82</h5>
                                            <span class="text-muted font-13">Quantity</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$6,518.18</h5>
                                            <span class="text-muted font-13">Amount</span>
                                        </td>
                                    </tr>
                                   
                                     <tr>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">#PO09234089 - Invoice 09</h5>
                                            <span class="text-muted font-13">12/5/2023</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$79.49</h5>
                                            <span class="text-muted font-13">Price</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">82</h5>
                                            <span class="text-muted font-13">Quantity</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$6,518.18</h5>
                                            <span class="text-muted font-13">Amount</span>
                                        </td>
                                    </tr>
                                     <tr>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">#PO09234089 - Invoice 09</h5>
                                            <span class="text-muted font-13">12/5/2023</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$79.49</h5>
                                            <span class="text-muted font-13">Price</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">82</h5>
                                            <span class="text-muted font-13">Quantity</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$6,518.18</h5>
                                            <span class="text-muted font-13">Amount</span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">#PO09234089 - Invoice 09</h5>
                                            <span class="text-muted font-13">12/5/2023</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$79.49</h5>
                                            <span class="text-muted font-13">Price</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">82</h5>
                                            <span class="text-muted font-13">Quantity</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$6,518.18</h5>
                                            <span class="text-muted font-13">Amount</span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">#PO09234089 - Invoice 09</h5>
                                            <span class="text-muted font-13">12/5/2023</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$79.49</h5>
                                            <span class="text-muted font-13">Price</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">82</h5>
                                            <span class="text-muted font-13">Quantity</span>
                                        </td>
                                        <td>
                                            <h5 class="font-14 my-1 fw-normal">$6,518.18</h5>
                                            <span class="text-muted font-13">Amount</span>
                                        </td>
                                    </tr>   
                                </tbody>
                            </table>
                        </div> <!-- end table-responsive-->
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col-->

            <div class="col-xl-3 col-lg-6 order-lg-1">
                <div class="card">
                    <div class="d-flex card-header justify-content-between align-items-center">
                        <h4 class="header-title">Total Invoice</h4>
                        <div class="dropdown">
                            <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="mdi mdi-dots-vertical"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-end">
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Sales Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Export Report</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Profit</a>
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item">Action</a>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-0">
                        <div id="average-sales" class="apex-charts mb-4 mt-2"
                         data-colors="#727cf5,#0acf97,#fa5c7c"></div>

                        <div class="chart-widget-list">
                            <p>
                                <i class="mdi mdi-square text-primary"></i> Mới
                                @*<span class="float-end">$300.56</span>*@
                            </p>
                            <p>
                                <i class="mdi mdi-square text-danger"></i> Đang xử lý
                                @*<span class="float-end">$135.18</span>*@
                            </p>
                            <p>
                                <i class="mdi mdi-square text-success"></i> Hoàn thành
                                @*<span class="float-end">$48.96</span>*@
                            </p>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col-->

        </div>
        <!-- end row -->

    </div>